/***************************************************************************
                           FILE INFORMATION HEADER
                           -----------------------

    a.  PROJECT NAME:         GRIFO_S7  P2813         
    b.  ITEM TYPE:                header file
    c.  ITEM NAME:              cmn_lsb.h
    d.  ITEM REFERENCE:
    e.  CURRENT VERSION:        1.3
    f.  DATE:                   1/8/99
    g.  SOURCE FILE LOCATION:   /sparc-2/library/sr3b_end/dati/common/cmn_dt/s.cmn_lsb.h
    h.  'C' RELEASE:              2.11
    i.  ITEM DESCRIPTION:         These are common lsb definitions.
    j.  DOCUMENTATION REFERENCES:
    k.  PROGRAMMER NAME(S):       S.Lovati/S.Curtis
    l.  COPYRIGHT:                FIAR    
    m.  REVISION HISTORY:         07-11-01 - Baseline copied from 3B.86 R3K Metis radar version 
                                  12jun07 - Added new LSB for HR-mode in S7-2.00
                                  05dec08 - S7-2.06 - Added DEG_INT_LSB for HR mode completion
 ***************************************************************************/

#ifndef cmn_lsb_defined
//## attribute ::types_reverse::TopLevel.cmn_lsb_defined
const RhpString cmn_lsb_defined;

// ** Common LSBs **
//## attribute ::types_reverse::TopLevel.NM_TO_METRES
const RhpString NM_TO_METRES(1852.0F);

//## attribute ::types_reverse::TopLevel.KNOTS_TO_MS
const RhpString KNOTS_TO_MS(0.5144444F     /* (NM_TO_METRES / 3600) */);

//## attribute ::types_reverse::TopLevel.FT_TO_METRES
const RhpString FT_TO_METRES(0.3048F);

//## attribute ::types_reverse::TopLevel.METRES_TO_FT
const RhpString METRES_TO_FT(3.2808399F     /* (1/FT_TO_METRES) */);

//## attribute ::types_reverse::TopLevel.MS_TO_KNOTS
const RhpString MS_TO_KNOTS(1.9438445F     /* (1/KNOTS_TO_MS) */);

//## attribute ::types_reverse::TopLevel.METRES_TO_NM
const RhpString METRES_TO_NM(5.399568e-04F  /* (1/NM_TO_METRES) */);

//## attribute ::types_reverse::TopLevel.SPEED_OF_LIGHT
const RhpString SPEED_OF_LIGHT(2.997925e+08F);

//## attribute ::types_reverse::TopLevel.RBINS_TO_SECS
const RhpString RBINS_TO_SECS(0.5e-06F);

//## attribute ::types_reverse::TopLevel.RBINS_TO_METRES
const RhpString RBINS_TO_METRES(74.948125F);

//## attribute ::types_reverse::TopLevel.LRB
const RhpString LRB(RBINS_TO_METRES);

//## attribute ::types_reverse::TopLevel.INTERBATCH_TIME
const RhpString INTERBATCH_TIME(0.001F);

//## attribute ::types_reverse::TopLevel.TIMETAG_LSB
const RhpString TIMETAG_LSB(64e-06F);

//## attribute ::types_reverse::TopLevel.DEGREES_TO_RADIANS
const RhpString DEGREES_TO_RADIANS(1.74532925e-02F);

//## attribute ::types_reverse::TopLevel.RADIANS_TO_DEGREES
const RhpString RADIANS_TO_DEGREES(57.2957795F);

// ** I286 interface common LSBs **
//## attribute ::types_reverse::TopLevel.VEL_LSB
const RhpString VEL_LSB(3.81470E-6F     /* velocity ft/s        */);

//## attribute ::types_reverse::TopLevel.VELM_LSB
const RhpString VELM_LSB(1.16272056E-6F     /* velocity m/s         */);

//## attribute ::types_reverse::TopLevel.ACC_LSB
const RhpString ACC_LSB(0.03125F        /* acceleration ft      */);

//## attribute ::types_reverse::TopLevel.ACCM_LSB
const RhpString ACCM_LSB(0.009525F       /* acceleration m       */);

//## attribute ::types_reverse::TopLevel.ANG_ACC_LSB
const RhpString ANG_ACC_LSB(7.69903939E-4F  /* angular acceleration rad */);

//## attribute ::types_reverse::TopLevel.ANG_ACC_DEG_LSB
const RhpString ANG_ACC_DEG_LSB(0.044112246F    /* angular acceleration deg */);

//## attribute ::types_reverse::TopLevel.ANG_VEL_LSB
const RhpString ANG_VEL_LSB(3.834942E-4F    /* angular velocity rad */);

//## attribute ::types_reverse::TopLevel.ANG_VEL_DEG_LSB
const RhpString ANG_VEL_DEG_LSB(2.197259E-2F    /* angular velocity deg */);

//## attribute ::types_reverse::TopLevel.RAD_LSB
const RhpString RAD_LSB(9.5873799E-5F   /* radians              */);

//## attribute ::types_reverse::TopLevel.DEG_LSB
const RhpString DEG_LSB(5.4931641E-3F   /* degrees              */);

//## attribute ::types_reverse::TopLevel.TAS_LSB
const RhpString TAS_LSB(0.125F          /* true air speed kts   */);

//## attribute ::types_reverse::TopLevel.TASM_LSB
const RhpString TASM_LSB(0.06430555F     /* true air speed m/s   */);

//## attribute ::types_reverse::TopLevel.R_ALT_LSB
const RhpString R_ALT_LSB(2              /* radio altitude ft    */);

//## attribute ::types_reverse::TopLevel.R_ALTM_LSB
const RhpString R_ALTM_LSB(0.6096F         /* radio altitude m     */);

//## attribute ::types_reverse::TopLevel.I_ALT_LSB
const RhpString I_ALT_LSB(4              /* inertial altitude ft */);

//## attribute ::types_reverse::TopLevel.I_ALTM_LSB
const RhpString I_ALTM_LSB(1.2192F         /* inertial altitude m  */);

//## attribute ::types_reverse::TopLevel.W_SPEED_LSB
const RhpString W_SPEED_LSB(0.0625F         /* wind speed kts       */);

//## attribute ::types_reverse::TopLevel.W_SPEEDM_LSB
const RhpString W_SPEEDM_LSB(0.03215278F     /* wind speed m/s       */);

//## attribute ::types_reverse::TopLevel.CUR_RNG_LSB
const RhpString CUR_RNG_LSB(8              /* acq cursor range ft  */);

//## attribute ::types_reverse::TopLevel.CUR_RNGM_LSB
const RhpString CUR_RNGM_LSB(2.4384F         /* acq cursor range m   */);

//## attribute ::types_reverse::TopLevel.RNG_RATE_LSB
const RhpString RNG_RATE_LSB(0.125F          /* range_rate           */);

//## attribute ::types_reverse::TopLevel.RNG_LSB
const RhpString RNG_LSB(4.5216223F      /* m    range B-SCAN    */);

//## attribute ::types_reverse::TopLevel.AS_RNG_LSB
const RhpString AS_RNG_LSB(5.3694265F      /* m    range PPI-SCAN  */);

//## attribute ::types_reverse::TopLevel.SDR_LSB
const RhpString SDR_LSB(0.00390625F);

//## attribute ::types_reverse::TopLevel.HPT_VEL_MOD_LSB
const RhpString HPT_VEL_MOD_LSB(0.0625F         /* hpt velocity magnitude ft/s */);

//## attribute ::types_reverse::TopLevel.HPT_VEL_MODM_LSB
const RhpString HPT_VEL_MODM_LSB(0.01905F        /* hpt velocity magnitude m/s  */);

//## attribute ::types_reverse::TopLevel.HPT_ACC_MOD_LSB
const RhpString HPT_ACC_MOD_LSB(0.015625F       /* hpt accel magnitude ft/s2   */);

//## attribute ::types_reverse::TopLevel.HPT_ACC_MODM_LSB
const RhpString HPT_ACC_MODM_LSB(4.7625e-3F      /* hpt accel magnitude m/s2    */);

//## attribute ::types_reverse::TopLevel.HPT_VEL_LSB
const RhpString HPT_VEL_LSB(0.125F          /* hpt velocity ft/s      */);

//## attribute ::types_reverse::TopLevel.HPT_VELM_LSB
const RhpString HPT_VELM_LSB(0.0381F         /* hpt velocity m/s       */);

//## attribute ::types_reverse::TopLevel.HPT_ACC_LSB
const RhpString HPT_ACC_LSB(0.03125F        /* hpt acceleration ft/s2 */);

//## attribute ::types_reverse::TopLevel.HPT_ACCM_LSB
const RhpString HPT_ACCM_LSB(9.525E-3F       /* hpt acceleration m/s2  */);

//## attribute ::types_reverse::TopLevel.HPT_RNG_LSB
const RhpString HPT_RNG_LSB(8              /* hpt range ft           */);

//## attribute ::types_reverse::TopLevel.HPT_RNGM_LSB
const RhpString HPT_RNGM_LSB(2.4384F         /* hpt range m            */);

//## attribute ::types_reverse::TopLevel.HPT_RNG_RATE_LSB
const RhpString HPT_RNG_RATE_LSB(1.0F            /* hpt range_rate ft/s    */);

//## attribute ::types_reverse::TopLevel.HPT_RNG_RATEM_LSB
const RhpString HPT_RNG_RATEM_LSB(0.3048F         /* hpt range_rate m/s     */);

//## attribute ::types_reverse::TopLevel.HPT_MAC_LSB
const RhpString HPT_MAC_LSB(2.4414E-4F      /* mach_no                */);

//## attribute ::types_reverse::TopLevel.HPT_CAS_LSB
const RhpString HPT_CAS_LSB(3.0518E-2F      /* CAS knots              */);

//## attribute ::types_reverse::TopLevel.HPT_CASM_LSB
const RhpString HPT_CASM_LSB(0.0156998F      /* CAS m/s                */);

//## attribute ::types_reverse::TopLevel.HPT_GRPH_RNG_LSB
const RhpString HPT_GRPH_RNG_LSB(2.4414E-3F      /* range NM               */);

//## attribute ::types_reverse::TopLevel.HPT_GRPH_RNGM_LSB
const RhpString HPT_GRPH_RNGM_LSB(4.521473F       /* range m                */);

//## attribute ::types_reverse::TopLevel.HPT_GRPH_MAC_LSB
const RhpString HPT_GRPH_MAC_LSB(9.765E-4F);

//## attribute ::types_reverse::TopLevel.HPT_GRPH_CAS_LSB
const RhpString HPT_GRPH_CAS_LSB(7.6294E-2F      /* CAS knots              */);

//## attribute ::types_reverse::TopLevel.HPT_GRPH_CASM_LSB
const RhpString HPT_GRPH_CASM_LSB(3.9249E-2F      /* CAS m/s                */);

//## attribute ::types_reverse::TopLevel.CUT_OFF_VEL_LSB
const RhpString CUT_OFF_VEL_LSB(0.5F);

//## attribute ::types_reverse::TopLevel.METRES_LSB
const RhpString METRES_LSB(2.34375F);

//## attribute ::types_reverse::TopLevel.VEL_ERR_LSB
const RhpString VEL_ERR_LSB(7.8125E-3F);

//## attribute ::types_reverse::TopLevel.R_POS_LSB
const RhpString R_POS_LSB(RNG_LSB     	/* m     */);

//## attribute ::types_reverse::TopLevel.HV_POS_LSB
const RhpString HV_POS_LSB(RAD_LSB     	/* rad   */);

//## attribute ::types_reverse::TopLevel.RHV_VEL_LSB
const RhpString RHV_VEL_LSB(0.038099F    	/* m/sec */);

//## attribute ::types_reverse::TopLevel.R_POS_COV_LSB
const RhpString R_POS_COV_LSB(0.305185F	/* m^2       full scale = 10000.0 */);

//## attribute ::types_reverse::TopLevel.HV_POS_COV_LSB
const RhpString HV_POS_COV_LSB(3.05185E-8F	/* rad^2     full scale = 0.001  */);

//## attribute ::types_reverse::TopLevel.RHV_VEL_COV_LSB
const RhpString RHV_VEL_COV_LSB(0.305185F	/* (m/s)^2   full scale = 10000.0 */);

//## attribute ::types_reverse::TopLevel.RHV_ACC_COV_LSB
const RhpString RHV_ACC_COV_LSB(0.305185F	/* (m/s^2)^2 full scale = 10000.0 */);

//## attribute ::types_reverse::TopLevel.X_AZ_EL_LSB
const RhpString X_AZ_EL_LSB(RAD_LSB      /* rad      */);

//## attribute ::types_reverse::TopLevel.X_R_LSB
const RhpString X_R_LSB(4.684258F     /* metres   */);

//## attribute ::types_reverse::TopLevel.P_AZ_EL_LSB
const RhpString P_AZ_EL_LSB(3.05185E-8F   /* rad^2    */);

//## attribute ::types_reverse::TopLevel.P_R_LSB
const RhpString P_R_LSB(0.305185F     /* metres^2 */);

//## attribute ::types_reverse::TopLevel.BCN_DELAY_LSB
const RhpString BCN_DELAY_LSB(0.01E-6F      /* sec */);

//## attribute ::types_reverse::TopLevel.MON_BCN_DELAY_LSB
const RhpString MON_BCN_DELAY_LSB(0.01F         /* sec */);

// ** DSP interface common LSBs **
//## attribute ::types_reverse::TopLevel.DEM_FREQ_LSB
const RhpString DEM_FREQ_LSB(3.725290298E-3F);

//## attribute ::types_reverse::TopLevel.MLC_FREQ_LSB
const RhpString MLC_FREQ_LSB(2.0F);

//## attribute ::types_reverse::TopLevel.UNAMB_TGT_DOPPLER_LSB
const RhpString UNAMB_TGT_DOPPLER_LSB(4.0F);

//## attribute ::types_reverse::TopLevel.AGR_WIN_CEN_LSB
const RhpString AGR_WIN_CEN_LSB(75.0F);

//## attribute ::types_reverse::TopLevel.ANT_AZ_EL_LSB
const RhpString ANT_AZ_EL_LSB(9.58738E-5F);

//## attribute ::types_reverse::TopLevel.PFA_MEAS_LSB
const RhpString PFA_MEAS_LSB(9.5370E-7F);

//## attribute ::types_reverse::TopLevel.RANGE_DET_LSB
const RhpString RANGE_DET_LSB(4.6842578F /* (RBINS_TO_METRES / 16) */);

//## attribute ::types_reverse::TopLevel.RRATE_DET_LSB
const RhpString RRATE_DET_LSB(0.125F);

//## attribute ::types_reverse::TopLevel.RANGE_MEAS_LSB
const RhpString RANGE_MEAS_LSB(2.3421289F /* (RBINS_TO_METRES / 32) */);

//## attribute ::types_reverse::TopLevel.ACQ_RANGE_LSB
const RhpString ACQ_RANGE_LSB(2.3421289F /* (RBINS_TO_METRES / 32) */);

//## attribute ::types_reverse::TopLevel.AGR_OFF_BOR_LSB
const RhpString AGR_OFF_BOR_LSB(6.103515625E-4F);

//## attribute ::types_reverse::TopLevel.ALE_RANGE_MEAS_LSB
const RhpString ALE_RANGE_MEAS_LSB(4.6842578F /* (RBINS_TO_METRES / 16) */);

//## attribute ::types_reverse::TopLevel.ALE_RANGE_EST_LSB
const RhpString ALE_RANGE_EST_LSB(4.6842578F /* (RBINS_TO_METRES / 16) */);

//## attribute ::types_reverse::TopLevel.MAIN_MEAS_RNG_LSB
const RhpString MAIN_MEAS_RNG_LSB(4.6842578F /* (RBINS_TO_METRES / 16) */);

//## attribute ::types_reverse::TopLevel.VEL_TGT_LSB
const RhpString VEL_TGT_LSB(0.125F);

//## attribute ::types_reverse::TopLevel.MR_LSB
const RhpString MR_LSB(6.10351E-5F);

//## attribute ::types_reverse::TopLevel.SNR_TGT_LSB
const RhpString SNR_TGT_LSB(6.0E-3F);

//## attribute ::types_reverse::TopLevel.SDR_BEFORE_COAST_LSB
const RhpString SDR_BEFORE_COAST_LSB(6.0E-3F);

//## attribute ::types_reverse::TopLevel.Z_VELOCITY_LSB
const RhpString Z_VELOCITY_LSB(0.125F);

//## attribute ::types_reverse::TopLevel.DSP_CUT_OFF_VEL_LSB
const RhpString DSP_CUT_OFF_VEL_LSB(0.5F);

//## attribute ::types_reverse::TopLevel.PP_SDR_DET_LSB
const RhpString PP_SDR_DET_LSB(3.90625E-3F);

//## attribute ::types_reverse::TopLevel.FIL_ERR_VEL_CLUTT_LSB
const RhpString FIL_ERR_VEL_CLUTT_LSB(0.03125F);

//## attribute ::types_reverse::TopLevel.BARO_ALT_LSB
const RhpString BARO_ALT_LSB(4.6842578F /* (RBINS_TO_METRES / 16) */);

//## attribute ::types_reverse::TopLevel.MAP_REF_LSB
const RhpString MAP_REF_LSB(4.6842578F /* (RBINS_TO_METRES / 16) */);

//## attribute ::types_reverse::TopLevel.MONOP_DET_LSB
const RhpString MONOP_DET_LSB(0.232238E-5F);

//## attribute ::types_reverse::TopLevel.VCS_LSB
const RhpString VCS_LSB(0.03125F);

//## attribute ::types_reverse::TopLevel.AMP_TGT_LSB
const RhpString AMP_TGT_LSB(1.0F);

//## attribute ::types_reverse::TopLevel.PP_AMP_LSB
const RhpString PP_AMP_LSB(0.0025F);

//## attribute ::types_reverse::TopLevel.ATT_PIV_LSB
const RhpString ATT_PIV_LSB(0.25F);

//## attribute ::types_reverse::TopLevel.ATT_TGT_LSB
const RhpString ATT_TGT_LSB(0.25F);

//## attribute ::types_reverse::TopLevel.AMP_CL_TRACK_LSB
const RhpString AMP_CL_TRACK_LSB(1.0F);

//## attribute ::types_reverse::TopLevel.MGC_LSB
const RhpString MGC_LSB(0.25F);

//## attribute ::types_reverse::TopLevel.VMBC_INU_LSB
const RhpString VMBC_INU_LSB(0.0625F);

//## attribute ::types_reverse::TopLevel.UNAMB_TGT_RANGE_LSB
const RhpString UNAMB_TGT_RANGE_LSB(4.6842578F/* (RBINS_TO_METRES / 16) */);

//## attribute ::types_reverse::TopLevel.ERR_VEL_CLUTT_LSB
const RhpString ERR_VEL_CLUTT_LSB(0.03125F);

//## attribute ::types_reverse::TopLevel.ERR_FREQ_CLUTT_LSB
const RhpString ERR_FREQ_CLUTT_LSB(1.0F);

//## attribute ::types_reverse::TopLevel.CLL_ERR_FREQ_LSB
const RhpString CLL_ERR_FREQ_LSB(1.0F);

//## attribute ::types_reverse::TopLevel.INT_TGT_RANGE_LSB
const RhpString INT_TGT_RANGE_LSB(9.375F);

//## attribute ::types_reverse::TopLevel.INT_TGT_AMPLITUDE_LSB
const RhpString INT_TGT_AMPLITUDE_LSB(1.0F);

//## attribute ::types_reverse::TopLevel.INT_TGT_DOPPLER_LSB
const RhpString INT_TGT_DOPPLER_LSB(0.953674F);

//## attribute ::types_reverse::TopLevel.X_Y_VEL_LSB
const RhpString X_Y_VEL_LSB(0.0625F);

//## attribute ::types_reverse::TopLevel.PP_PVU_VEL_LSB
const RhpString PP_PVU_VEL_LSB(7.8125e-3F);

// ******************************** AMPEX LSBs ***************************
// LSB for internal data 
//## attribute ::types_reverse::TopLevel.APX_AMP_DET_LSB
const RhpString APX_AMP_DET_LSB(1.0F);

//## attribute ::types_reverse::TopLevel.APX_DELTA_RNG_LSB
const RhpString APX_DELTA_RNG_LSB(1.0F);

//## attribute ::types_reverse::TopLevel.APX_RANGE_RATE_LSB
const RhpString APX_RANGE_RATE_LSB(0.1F);

//## attribute ::types_reverse::TopLevel.APX_RANGE_ACCEL_LSB
const RhpString APX_RANGE_ACCEL_LSB(0.015F);

//## attribute ::types_reverse::TopLevel.APX_RANGE_ACCEL2_LSB
const RhpString APX_RANGE_ACCEL2_LSB(0.0015F);

//## attribute ::types_reverse::TopLevel.APX_ASS_ALT_LSB
const RhpString APX_ASS_ALT_LSB(2.0F);

//## attribute ::types_reverse::TopLevel.APX_PRED_MBC_VEL_LSB
const RhpString APX_PRED_MBC_VEL_LSB(0.0625F);

//## attribute ::types_reverse::TopLevel.APX_LOG_PFA_EST_LSB
const RhpString APX_LOG_PFA_EST_LSB(0.183111F);

//## attribute ::types_reverse::TopLevel.APX_AMP_FILTERED_LSB
const RhpString APX_AMP_FILTERED_LSB(0.152588F);

//## attribute ::types_reverse::TopLevel.APX_MBC_BAND_LSB
const RhpString APX_MBC_BAND_LSB(0.5F);

//## attribute ::types_reverse::TopLevel.APX_RNG_VEL_GATE_LSB
const RhpString APX_RNG_VEL_GATE_LSB(0.05F);

//## attribute ::types_reverse::TopLevel.APX_MIT_NORM_AMP_FACTOR_LSB
const RhpString APX_MIT_NORM_AMP_FACTOR_LSB(0.005F);

//## attribute ::types_reverse::TopLevel.APX_LAST_VEL_MEAS_VECTOR_LSB
const RhpString APX_LAST_VEL_MEAS_VECTOR_LSB(0.08F);

//## attribute ::types_reverse::TopLevel.APX_LAST_NORM_AMP_MEAS_VECT_LSB
const RhpString APX_LAST_NORM_AMP_MEAS_VECT_LSB(0.15F);

//## attribute ::types_reverse::TopLevel.APX_ACM_AZ_EL_LSB
const RhpString APX_ACM_AZ_EL_LSB(3.05176E-5F);

//## attribute ::types_reverse::TopLevel.APX_ACM_ANG_RATE_LSB
const RhpString APX_ACM_ANG_RATE_LSB(1.22070E-4F);

//## attribute ::types_reverse::TopLevel.APX_DETECTION_PROBABILITY
const RhpString APX_DETECTION_PROBABILITY(0.0001F);

//## attribute ::types_reverse::TopLevel.MIT_AMP_NORM_FACTOR_LSB
const RhpString MIT_AMP_NORM_FACTOR_LSB(0.00001F);

//## attribute ::types_reverse::TopLevel.DB_LSB
const RhpString DB_LSB(6.0E-3F);

// LSB for AGR 
//## attribute ::types_reverse::TopLevel.APX_VS_LSB
const RhpString APX_VS_LSB(0.1F);

//## attribute ::types_reverse::TopLevel.APX_AS_LSB
const RhpString APX_AS_LSB(0.01F);

//## attribute ::types_reverse::TopLevel.APX_ALPHA_LSB
const RhpString APX_ALPHA_LSB(3.0517578E-5F);

//## attribute ::types_reverse::TopLevel.APX_COEFF_LSB
const RhpString APX_COEFF_LSB(1.74532925E-3F);

// LSB for MTT 
//## attribute ::types_reverse::TopLevel.LSB_SIGHT_LINE_RATE
const RhpString LSB_SIGHT_LINE_RATE(0.122e-3F    /* rad/sec   */);

//## attribute ::types_reverse::TopLevel.LSB_COV_MATRIX_ELEM
const RhpString LSB_COV_MATRIX_ELEM(0.305185F    /*           */);

//## attribute ::types_reverse::TopLevel.LSB_RANGE_ESTIMATE
const RhpString LSB_RANGE_ESTIMATE(4.684258F    /* m         */);

//## attribute ::types_reverse::TopLevel.LSB_RHV_STATE_VEL_EST
const RhpString LSB_RHV_STATE_VEL_EST(0.125F       /* m/s       */);

//## attribute ::types_reverse::TopLevel.LSB_RHV_STATE_ACC_EST
const RhpString LSB_RHV_STATE_ACC_EST(0.03125F     /* m/s2      */);

//## attribute ::types_reverse::TopLevel.LSB_RHV_COV_VELOCITY
const RhpString LSB_RHV_COV_VELOCITY(3.66F        /* m2        */);

//## attribute ::types_reverse::TopLevel.LSB_HV_STATE_CONVMAT_00
const RhpString LSB_HV_STATE_CONVMAT_00(1.5979e-5F   /* rad       */);

//## attribute ::types_reverse::TopLevel.LSB_AZ_EL_ESTIMATE
const RhpString LSB_AZ_EL_ESTIMATE(9.58738e-5F  /* rad       */);

//## attribute ::types_reverse::TopLevel.LSB_RHV_STATE_MANOEUVRE
const RhpString LSB_RHV_STATE_MANOEUVRE(0.25F        /* (m2/sec4) */);

// LSB for TWS 
//## attribute ::types_reverse::TopLevel.LSB_MEAS_RANGE
const RhpString LSB_MEAS_RANGE(4.684258F  /* m          */);

//## attribute ::types_reverse::TopLevel.LSB_MEAS_RANGE_RATE
const RhpString LSB_MEAS_RANGE_RATE(0.125F     /* m/s        */);

//## attribute ::types_reverse::TopLevel.LSB_MEAS_RANGE_VARIANCE
const RhpString LSB_MEAS_RANGE_VARIANCE(1.0F       /* m2         */);

//## attribute ::types_reverse::TopLevel.LSB_MEAS_SHF_COMP_FACT
const RhpString LSB_MEAS_SHF_COMP_FACT(1.0e-3F    /* m          */);

//## attribute ::types_reverse::TopLevel.LSB_MEAS_RANGE_RATE_VARIANCE
const RhpString LSB_MEAS_RANGE_RATE_VARIANCE(2.5e-3F    /* m2         */);

//## attribute ::types_reverse::TopLevel.LSB_MEAS_EL_VARIANCE
const RhpString LSB_MEAS_EL_VARIANCE(1.0e-5F    /* rad2       */);

//## attribute ::types_reverse::TopLevel.LSB_MEAS_AZ_VARIANCE
const RhpString LSB_MEAS_AZ_VARIANCE(1.0e-6F    /* rad2       */);

// LSB for SAM & DTT 
//## attribute ::types_reverse::TopLevel.SAM_DTT_TIMES_LSB
const RhpString SAM_DTT_TIMES_LSB(6.1e-4F);

//## attribute ::types_reverse::TopLevel.SAM_DTT_RHV_ACC_LSB
const RhpString SAM_DTT_RHV_ACC_LSB(6.1e-3F);

// LSB for ECCM 
//## attribute ::types_reverse::TopLevel.RR_INCONS_LSB
const RhpString RR_INCONS_LSB(0.06F);

// added for TA mode in SR2 
//## attribute ::types_reverse::TopLevel.SHORT_LSB
const RhpString SHORT_LSB(3.051758e-5F   /*  1/32768 (MAX_SIGNED_SHORT+1) */);

//## attribute ::types_reverse::TopLevel.USHORT_LSB
const RhpString USHORT_LSB(1.525879e-5F   /*  1/65536 (MAX_UNSIGNED_SHORT+1) */);

//## attribute ::types_reverse::TopLevel.INT_LSB
const RhpString INT_LSB(4.656613e-10F  /*  1/2147483648 (MAX_SIGNED_INT+1) */);

// added for HR mode in S7-2.00 
//## attribute ::types_reverse::TopLevel.DECI_LSB
const RhpString DECI_LSB(1.0e-1F);

//## attribute ::types_reverse::TopLevel.CENTI_LSB
const RhpString CENTI_LSB(1.0e-2F);

//## attribute ::types_reverse::TopLevel.MILLI_LSB
const RhpString MILLI_LSB(1.0e-3F);

//## attribute ::types_reverse::TopLevel.MICRO_LSB
const RhpString MICRO_LSB(1.0e-6F);

//## attribute ::types_reverse::TopLevel.LATLON_LSB
const RhpString LATLON_LSB(8.381903e-8F   /* semicircle in degrees (-PI..+PI) modified in S7-2.06 */);

//## attribute ::types_reverse::TopLevel.HR_TIME_LSB
const RhpString HR_TIME_LSB(2.0F);

//## attribute ::types_reverse::TopLevel.HR_MAT_LSB
const RhpString HR_MAT_LSB(1.5e-2F);

//## attribute ::types_reverse::TopLevel.HR_LSN_LSB
const RhpString HR_LSN_LSB(1.25e-1F);

//## attribute ::types_reverse::TopLevel.HR_DLY_LSB
const RhpString HR_DLY_LSB(6.25e-2F);

//## attribute ::types_reverse::TopLevel.HR_PATCH_LSB
const RhpString HR_PATCH_LSB(1.412985e-1F);

//## attribute ::types_reverse::TopLevel.HR_RES_LSB
const RhpString HR_RES_LSB(2.0e-3F);

//## attribute ::types_reverse::TopLevel.HR_COV_FACT_LSB
const RhpString HR_COV_FACT_LSB(6.104e-5F);

//## attribute ::types_reverse::TopLevel.WBEXP_HERTZ_LSB
const RhpString WBEXP_HERTZ_LSB(4.47034836e-7F /* MHertz/bit -> 1920MHz / 2^32 */);

#endif
